GET
/api/v2/loyalty/geographic-analytics/exportExport geographic analytics data to CSV format
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| period (query) | string | No | Analysis period |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| FileContents | string (byte) | No | |
| ContentType | string | No | |
| FileDownloadName | string | No | |
| LastModified | string (date-time) | No | |
| EntityTag | object | No | |
| EnableRangeProcessing | boolean | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X GET "https://{base_url}/api/v2/loyalty/geographic-analytics/export" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.